<template>
  <div class="recharge-result-view">
    <div class="recharge-result-view-title">{{ title }}</div>
    <div class="recharge-result-view-tips">
      同一号码充值期间，未到账前切勿在其他任何平台再次充值。因此造成的资金损失须用户自行承担！！！
    </div>
    <div class="recharge-result-view-warning">
      如接到陌生来电，对方以缴费或误操作等理由要求处理款项，务必立即拉黑，谨防诈骗!!!
    </div>
    <div class="recharge-result-view-btn-wrapper">
      <div class="recharge-result-view-btn" @click="emit('goBackHome')">回首页</div>
    </div>
  </div>
</template>

<script setup lang="ts">
import { LifeRechargeConstants } from '@life-payment/core-vue';

defineOptions({
  name: 'RechargeResultView',
});

type Props = {
  title?: string;
  orderNo?: string;
  lifePayOrderType?: LifeRechargeConstants.LifePayOrderTypeEnum;
};

const props = withDefaults(defineProps<Props>(), {
  title: '支付成功，充值款将在0-24小时内到账',
});

const emit = defineEmits<{
  (e: 'goBackHome'): void;
}>();
</script>
